<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.iPad.XIB" version="3.0" toolsVersion="12121" systemVersion="16F73" targetRuntime="iOS.CocoaTouch.iPad" propertyAccessControl="none" colorMatched="YES">
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="12089"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner" customClass="UIApplication">
            <connections>
                <outlet property="delegate" destination="3" id="4"/>
            </connections>
        </placeholder>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <customObject id="3" customClass="AppDelegate">
            <connections>
                <outlet property="viewController" destination="44" id="82"/>
                <outlet property="window" destination="2" id="5"/>
            </connections>
        </customObject>
        <window opaque="NO" autoresizesSubviews="NO" clipsSubviews="YES" clearsContextBeforeDrawing="NO" contentMode="top" resizesToFullScreen="NO" id="2">
            <rect key="frame" x="0.0" y="0.0" width="768" height="1024"/>
            <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
            <color key="backgroundColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
            <freeformSimulatedSizeMetrics key="simulatedDestinationMetrics"/>
            <metadata/>
        </window>
        <tabBarController id="44" customClass="MainTabBarController">
            <extendedEdge key="edgesForExtendedLayout"/>
            <simulatedTabBarMetrics key="simulatedBottomBarMetrics"/>
            <tabBar key="tabBar" clearsContextBeforeDrawing="NO" contentMode="scaleToFill" selectedItem="586" id="45">
                <rect key="frame" x="0.0" y="975" width="768" height="49"/>
                <autoresizingMask key="autoresizingMask" widthSizable="YES" flexibleMinY="YES"/>
                <color key="backgroundColor" red="0.0" green="0.0" blue="0.0" alpha="0.0" colorSpace="custom" customColorSpace="sRGB"/>
            </tabBar>
            <viewControllers>
                <viewController title="Print" id="584" userLabel="Main View Controller" customClass="MainViewController">
                    <view key="view" contentMode="scaleToFill" id="585">
                        <rect key="frame" x="0.0" y="0.0" width="768" height="1024"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <button opaque="NO" clearsContextBeforeDrawing="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" id="612">
                                <rect key="frame" x="217" y="593" width="335" height="37"/>
                                <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                                <fontDescription key="fontDescription" name="Helvetica-Bold" family="Helvetica" pointSize="15"/>
                                <state key="normal" title="Discover printers">
                                    <color key="titleShadowColor" red="0.5" green="0.5" blue="0.5" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                </state>
                                <state key="highlighted">
                                    <color key="titleColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                </state>
                                <connections>
                                    <action selector="onDiscover:" destination="584" eventType="touchUpInside" id="619"/>
                                </connections>
                            </button>
                            <tableView clipsSubviews="YES" contentMode="scaleToFill" alwaysBounceVertical="YES" style="plain" separatorStyle="default" rowHeight="44" sectionHeaderHeight="22" sectionFooterHeight="22" id="613">
                                <rect key="frame" x="92" y="226" width="584" height="398"/>
                                <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                                <color key="backgroundColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                <connections>
                                    <outlet property="dataSource" destination="584" id="615"/>
                                    <outlet property="delegate" destination="584" id="616"/>
                                </connections>
                            </tableView>
                            <textView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" editable="NO" textAlignment="center" id="614">
                                <rect key="frame" x="92" y="109" width="584" height="136"/>
                                <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                                <color key="backgroundColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                <string key="text">Press "Discover printers" to discover nearby fiscal bluetooth printers and then select from the list one to connect to. Selecting again the connected printer disconnects from it.</string>
                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                <textInputTraits key="textInputTraits" autocapitalizationType="sentences"/>
                            </textView>
                            <textView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" editable="NO" id="624">
                                <rect key="frame" x="92" y="737" width="584" height="267"/>
                                <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                                <color key="backgroundColor" red="0.0" green="1" blue="0.0" alpha="0.20000000000000001" colorSpace="custom" customColorSpace="sRGB"/>
                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                <textInputTraits key="textInputTraits" autocapitalizationType="sentences"/>
                            </textView>
                            <label opaque="NO" clipsSubviews="YES" userInteractionEnabled="NO" contentMode="left" text="BT Accessory printer:" textAlignment="center" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" id="643">
                                <rect key="frame" x="244" y="658" width="280" height="21"/>
                                <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                <color key="textColor" cocoaTouchSystemColor="darkTextColor"/>
                                <nil key="highlightedColor"/>
                            </label>
                            <label opaque="NO" clipsSubviews="YES" userInteractionEnabled="NO" contentMode="left" text="Disconnected!" textAlignment="center" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" id="644">
                                <rect key="frame" x="244" y="687" width="280" height="21"/>
                                <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                                <fontDescription key="fontDescription" type="boldSystem" pointSize="17"/>
                                <color key="textColor" cocoaTouchSystemColor="darkTextColor"/>
                                <nil key="highlightedColor"/>
                            </label>
                        </subviews>
                        <color key="backgroundColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                    </view>
                    <extendedEdge key="edgesForExtendedLayout"/>
                    <tabBarItem key="tabBarItem" title="Connection" id="586"/>
                    <connections>
                        <outlet property="displayText" destination="624" id="625"/>
                        <outlet property="printersTable" destination="613" id="617"/>
                        <outlet property="progressViewController" destination="196" id="623"/>
                    </connections>
                </viewController>
                <viewController title="Print" id="626" userLabel="FMP-10 View Controller" customClass="FMP10ViewController">
                    <view key="view" contentMode="scaleToFill" id="628">
                        <rect key="frame" x="0.0" y="0.0" width="768" height="1024"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <tableView clipsSubviews="YES" contentMode="scaleToFill" alwaysBounceVertical="YES" style="plain" separatorStyle="default" rowHeight="44" sectionHeaderHeight="22" sectionFooterHeight="22" id="630">
                                <rect key="frame" x="92" y="113" width="584" height="654"/>
                                <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                                <color key="backgroundColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                <connections>
                                    <outlet property="dataSource" destination="626" id="637"/>
                                    <outlet property="delegate" destination="626" id="638"/>
                                </connections>
                            </tableView>
                            <textView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" editable="NO" text="Select an operation to execute on the reader. After completion, the result will be shown in the field below." textAlignment="center" id="633">
                                <rect key="frame" x="92" y="31" width="584" height="136"/>
                                <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                                <color key="backgroundColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                <textInputTraits key="textInputTraits" autocapitalizationType="sentences"/>
                            </textView>
                            <textView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" editable="NO" id="629">
                                <rect key="frame" x="92" y="719" width="584" height="267"/>
                                <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                                <color key="backgroundColor" red="0.0" green="1" blue="0.0" alpha="0.20000000000000001" colorSpace="custom" customColorSpace="sRGB"/>
                                <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                <textInputTraits key="textInputTraits" autocapitalizationType="sentences"/>
                            </textView>
                        </subviews>
                        <color key="backgroundColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                    </view>
                    <extendedEdge key="edgesForExtendedLayout"/>
                    <tabBarItem key="tabBarItem" title="Demo" id="627"/>
                    <connections>
                        <outlet property="logView" destination="629" id="642"/>
                        <outlet property="operationsTable" destination="630" id="641"/>
                        <outlet property="progressViewController" destination="196" id="640"/>
                    </connections>
                </viewController>
            </viewControllers>
            <metadata/>
        </tabBarController>
        <viewController wantsFullScreenLayout="YES" id="196" customClass="ProgressViewController">
            <view key="view" clearsContextBeforeDrawing="NO" contentMode="scaleToFill" id="189">
                <rect key="frame" x="0.0" y="0.0" width="768" height="1004"/>
                <autoresizingMask key="autoresizingMask" flexibleMaxY="YES"/>
                <subviews>
                    <textView opaque="NO" clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" showsHorizontalScrollIndicator="NO" delaysContentTouches="NO" canCancelContentTouches="NO" bouncesZoom="NO" editable="NO" textAlignment="center" id="192">
                        <rect key="frame" x="139" y="350" width="484" height="80"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <color key="backgroundColor" cocoaTouchSystemColor="groupTableViewBackgroundColor"/>
                        <string key="text">Operation in progress.
Please wait...</string>
                        <color key="textColor" cocoaTouchSystemColor="darkTextColor"/>
                        <fontDescription key="fontDescription" name="Helvetica-Bold" family="Helvetica" pointSize="21"/>
                        <textInputTraits key="textInputTraits" autocapitalizationType="sentences"/>
                    </textView>
                    <activityIndicatorView opaque="NO" clearsContextBeforeDrawing="NO" userInteractionEnabled="NO" contentMode="scaleToFill" style="whiteLarge" id="193">
                        <rect key="frame" x="365" y="475" width="37" height="37"/>
                        <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                    </activityIndicatorView>
                    <progressView opaque="NO" contentMode="scaleToFill" id="333">
                        <rect key="frame" x="251" y="651" width="264" height="2"/>
                        <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                    </progressView>
                    <label opaque="NO" clipsSubviews="YES" userInteractionEnabled="NO" contentMode="left" text="Label" lineBreakMode="tailTruncation" minimumFontSize="10" id="334">
                        <rect key="frame" x="251" y="622" width="264" height="21"/>
                        <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                        <fontDescription key="fontDescription" type="system" size="system"/>
                        <color key="textColor" cocoaTouchSystemColor="darkTextColor"/>
                        <nil key="highlightedColor"/>
                    </label>
                </subviews>
                <color key="backgroundColor" red="0.74456521740000003" green="0.74456521740000003" blue="0.74456521740000003" alpha="0.91000000000000003" colorSpace="custom" customColorSpace="sRGB"/>
            </view>
            <extendedEdge key="edgesForExtendedLayout"/>
            <freeformSimulatedSizeMetrics key="simulatedDestinationMetrics"/>
            <metadata/>
            <connections>
                <outlet property="activityIndicator" destination="193" id="197"/>
                <outlet property="infoText" destination="192" id="198"/>
                <outlet property="phaseLabel" destination="334" id="335"/>
                <outlet property="progressProgress" destination="333" id="336"/>
            </connections>
        </viewController>
    </objects>
</document>
